GET /nodes/{node_id}/

osf.io

Summary: Retrieve a node
Operation ID: nodes_read
Auth: unknown
Description

Retrieves the details of a given node (project or component). #### Permissions Only project contributors may retrieve the details of a private node. Attempting to retreive a private node for which you are not a contributor will result in a **403 Forbidden** response. Authentication is not required to view the details of a public node, as public nodes give read-only access to everyone. #### Returns Returns a JSON object with a `data` key containing the representation of the requested node, if the request is successful. If the request is unsuccessful, an `errors` key containing information about the failure will be returned. Refer to the [list of error codes](#tag/Errors-and-Error-Codes) to understand why this request may have failed.

Parameters (1)

node_id (string, path, required)

The unique identifier of the node.

No probe data for this endpoint yet.